Module java.desktop
Package java.beans

## Class PropertyVetoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.beans.PropertyVetoException

- All Implemented Interfaces:
    `Serializable`

      public class PropertyVetoException
      extends Exception

  A PropertyVetoException is thrown when a proposed change to a property represents an unacceptable value.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyVetoException​(String mess, PropertyChangeEvent evt)` | Constructs a `PropertyVetoException` with a detailed message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PropertyChangeEvent` | `getPropertyChangeEvent()` | Gets the vetoed `PropertyChangeEvent`.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyVetoException

          public PropertyVetoException​(String mess,
                                       PropertyChangeEvent evt)

      Constructs a `PropertyVetoException` with a detailed message.
      Parameters:
        `mess` - Descriptive message
        `evt` - A PropertyChangeEvent describing the vetoed change.

  - ### Method Detail

    - #### getPropertyChangeEvent

          public PropertyChangeEvent getPropertyChangeEvent()

      Gets the vetoed `PropertyChangeEvent`.
      Returns:
        A PropertyChangeEvent describing the vetoed change.